## Index

### Classes

- CombinatorProperties
- MaterialAnyOfStringOrEnumControl
- MaterialArrayLayout
- MaterialCategorizationLayoutRenderer
- MaterialDateControl
- MaterialDateTimeControl
- MaterialInputControl
- MaterialIntegerControl
- MaterialNativeControl
- MaterialRadioGroupControl
- MaterialSliderControl
- MaterialTableControl
- MuiInputText

### Interfaces

- ArrayLayoutToolbarProps
- CategorizationState
- CategorizationStepperState
- CombinatorPropertiesProps
- DateControl
- DeleteDialogProps
- DispatchPropsOfExpandPanel
- EmptyTableProps
- ExpandPanelProps
- MaterialArrayLayoutState
- MaterialCategorizationLayoutRendererProps
- MaterialCategorizationStepperLayoutRendererProps
- MaterialLayoutRendererProps
- MaterialTableToolbarProps
- MuiInputTextStatus
- MuiTextInputProps
- NonEmptyCellProps
- NonEmptyRowProps
- OwnOneOfProps
- OwnPropsOfExpandPanel
- OwnPropsOfNonEmptyCell
- StatePropsOfDateControl
- StatePropsOfExpandPanel
- TableHeaderCellProps
- TableRowsProp
- ValidationProps
- WithDeleteDialogSupport
- WithInput

### Variables

- ArrayLayoutToolbar
- DeleteDialog
- GroupComponent
- NonEmptyRow
- TableHeaderCell
- TableToolbar
- groupTester
- isSingleLevelCategorization
- materialAllOfControlTester
- materialAnyOfControlTester
- materialAnyOfStringOrEnumControlTester
- materialArrayControlTester
- materialArrayLayoutTester
- materialBooleanCellTester
- materialBooleanControlTester
- materialCategorizationStepperTester
- materialCategorizationTester
- materialCells
- materialDateCellTester
- materialDateControlTester
- materialDateTimeControlTester
- materialEnumCellTester
- materialEnumControlTester
- materialGroupTester
- materialHorizontalLayoutTester
- materialIntegerCellTester
- materialIntegerControlTester
- materialLabelRendererTester
- materialListWithDetailTester
- materialNativeControlTester
- materialNumberCellTester
- materialNumberControlTester
- materialNumberFormatCellTester
- materialObjectControlTester
- materialOneOfControlTester
- materialRadioGroupControlTester
- materialRenderers
- materialSliderControlTester
- materialTextCellTester
- materialTextControlTester
- materialTimeCellTester
- materialVerticalLayoutTester
- oneOf
- simpleAnyOf

### Functions

- EmptyTable
- ExpandPanelRenderer
- ListWithDetailMasterItem
- MaterialAllOfRenderer
- MaterialAnyOfRenderer
- MaterialArrayControlRenderer
- MaterialArrayLayoutRenderer
- MaterialBooleanCell
- MaterialBooleanControl
- MaterialCategorizationStepperLayoutRenderer
- MaterialDateCell
- MaterialEnumCell
- MaterialEnumControl
- MaterialHorizontalLayoutRenderer
- MaterialIntegerCell
- MaterialLabelRenderer
- MaterialLayoutRenderer
- MaterialListWithDetailRenderer
- MaterialNumberCell
- MaterialNumberControl
- MaterialNumberFormatCell
- MaterialObjectRenderer
- MaterialOneOfRenderer
- MaterialTextCell
- MaterialTextControl
- MaterialTimeCell
- MaterialVerticalLayoutRenderer
- MaterializedGroupLayoutRenderer
- MuiAutocompleteInputText
- MuiCheckbox
- MuiInputInteger
- MuiInputNumber
- MuiInputNumberFormat
- MuiInputTime
- MuiSelect
- NoBorderTableCell
- NonEmptyCell
- TableRows
- ValidationIcon
- areEqual
- controlWithoutLabel
- ctxDispatchToExpandPanelProps
- ctxToNonEmptyCellProps
- findEnumSchema
- findTextSchema
- generateCells
- getValidColumnProps
- hasEnumAndText
- isLayout
- renderLayoutElements
- withContextToExpandPanelProps
- withJsonFormsExpandPanelProps

### Object literals

- Unwrapped
- iconStyle
- paperStyle
- style
- styles

## Variables

### Const ArrayLayoutToolbar

ArrayLayoutToolbar: NamedExoticComponent<ArrayLayoutToolbarProps> & object = React.memo(({label,errors,addItem,path,createDefault}: ArrayLayoutToolbarProps) => {return (<Toolbar><Grid container alignItems='center' justify='space-between'><Grid item><Typography variant={'h6'}>{label}</Typography></Grid><Hidden smUp={errors.length === 0}><Grid item><ValidationIcon id='tooltip-validation' errorMessages={errors} /></Grid></Hidden><Grid item><Grid container><Grid item><Tooltipid='tooltip-add'title={`Add to ${label}`}placement='bottom'><IconButtonaria-label={`Add to ${label}`}onClick={addItem(path, createDefault())}><AddIcon /></IconButton></Tooltip></Grid></Grid></Grid></Grid></Toolbar>);})

- Defined in layouts/ArrayToolbar.tsx:15

### Const DeleteDialog

DeleteDialog: NamedExoticComponent<DeleteDialogProps> & object = React.memo(({ open, onClose, onConfirm, onCancel }: DeleteDialogProps) => {return (<Dialogopen={open}keepMountedonClose={onClose}aria-labelledby='alert-dialog-confirmdelete-title'aria-describedby='alert-dialog-confirmdelete-description'><DialogTitle id='alert-dialog-confirmdelete-title'>{'Confirm Deletion'}</DialogTitle><DialogContent><DialogContentText id='alert-dialog-confirmdelete-description'>Are you sure you want to delete the selected entry?</DialogContentText></DialogContent><DialogActions><Button onClick={onCancel} color='primary'>No</Button><Button onClick={onConfirm} color='primary'>Yes</Button></DialogActions></Dialog>);})

- Defined in complex/DeleteDialog.tsx:46

### Const GroupComponent

GroupComponent: NamedExoticComponent<MaterialLayoutRendererProps> & object = React.memo(({ visible, uischema, ...props }: MaterialLayoutRendererProps) => {const groupLayout = uischema as GroupLayout;return (<Hidden xsUp={!visible}><Card style={style}>{!isEmpty(groupLayout.label) && (<CardHeader title={groupLayout.label} />)}<CardContent><MaterialLayoutRenderer {...props} visible={visible} elements={groupLayout.elements} /></CardContent></Card></Hidden>);})

- Defined in layouts/MaterialGroupLayout.tsx:45

### Const NonEmptyRow

NonEmptyRow: NamedExoticComponent<NonEmptyRowProps & WithDeleteDialogSupport> & object = React.memo(({childPath,schema,rowIndex,openDeleteDialog,moveUp,moveDown,enableUp,enableDown,showSortButtons}: NonEmptyRowProps & WithDeleteDialogSupport) => {return (<TableRow key={childPath} hover>{generateCells(NonEmptyCell, schema, childPath)}<NoBorderTableCellstyle={showSortButtons ? styles.fixedCell : styles.fixedCellSmall}><Grid container direction="row" justify="center" alignItems="center">{showSortButtons ? (<Fragment><Grid item><IconButtonaria-label={`Move up`}onClick={moveUp}disabled={!enableUp}><ArrowUpward /></IconButton></Grid><Grid item><IconButtonaria-label={`Move down`}onClick={moveDown}disabled={!enableDown}><ArrowDownward /></IconButton></Grid></Fragment>) : ('')}<Grid item><IconButtonaria-label={`Delete`}onClick={() => openDeleteDialog(childPath, rowIndex)}><DeleteIcon /></IconButton></Grid></Grid></NoBorderTableCell></TableRow>);})

- Defined in complex/MaterialTableControl.tsx:220

### Const TableHeaderCell

TableHeaderCell: NamedExoticComponent<TableHeaderCellProps> & object = React.memo(({ propName }: TableHeaderCellProps) => (<TableCell>{startCase(propName)}</TableCell>))

- Defined in complex/MaterialTableControl.tsx:136

### Const TableToolbar

TableToolbar: NamedExoticComponent<MaterialTableToolbarProps> & object = React.memo(({ numColumns, errors, label, path, addItem, schema }: MaterialTableToolbarProps) => (<TableRow><NoBorderTableCell colSpan={numColumns}><Gridcontainerjustify={'flex-start'}alignItems={'center'}spacing={2}><Grid item><Typography variant={'h6'}>{label}</Typography></Grid><Grid item><Hidden smUp={errors.length === 0}><Grid item><ValidationIconid='tooltip-validation'errorMessages={errors}/></Grid></Hidden></Grid></Grid></NoBorderTableCell><NoBorderTableCell><Tooltipid='tooltip-add'title={`Add to ${label}`}placement='bottom'><IconButtonaria-label={`Add to ${label}`}onClick={addItem(path, createDefaultValue(schema))}><AddIcon/></IconButton></Tooltip></NoBorderTableCell></TableRow>))

- Defined in complex/TableToolbar.tsx:46

### Const groupTester

groupTester: RankedTester = rankWith(1, uiTypeIs('Group'))

- Defined in layouts/MaterialGroupLayout.tsx:42

### Const isSingleLevelCategorization

isSingleLevelCategorization: Tester = and(uiTypeIs('Categorization'),(uischema: UISchemaElement): boolean => {const categorization = uischema as Categorization;return categorization.elements && categorization.elements.reduce((acc, e) => acc && e.type === 'Category', true);})

- Defined in layouts/MaterialCategorizationLayout.tsx:42

### Const materialAllOfControlTester

materialAllOfControlTester: RankedTester = rankWith(3,isAllOfControl)

- Defined in complex/MaterialAllOfRenderer.tsx:91

### Const materialAnyOfControlTester

materialAnyOfControlTester: RankedTester = rankWith(3,isAnyOfControl)

- Defined in complex/MaterialAnyOfRenderer.tsx:94

### Const materialAnyOfStringOrEnumControlTester

materialAnyOfStringOrEnumControlTester: RankedTester = rankWith(5,simpleAnyOf)

- Defined in controls/MaterialAnyOfStringOrEnumControl.tsx:125

### Const materialArrayControlTester

materialArrayControlTester: RankedTester = rankWith(3,or(isObjectArrayControl, isPrimitiveArrayControl))

- Defined in complex/index.ts:46

### Const materialArrayLayoutTester

materialArrayLayoutTester: RankedTester = rankWith(4, isObjectArrayWithNesting)

- Defined in layouts/MaterialArrayLayoutRenderer.tsx:60

### Const materialBooleanCellTester

materialBooleanCellTester: RankedTester = rankWith(2,isBooleanControl)

- Defined in cells/MaterialBooleanCell.tsx:40

### Const materialBooleanControlTester

materialBooleanControlTester: RankedTester = rankWith(2,isBooleanControl)

- Defined in controls/MaterialBooleanControl.tsx:64

### Const materialCategorizationStepperTester

materialCategorizationStepperTester: RankedTester = rankWith(2,and(uiTypeIs('Categorization'),categorizationHasCategory,optionIs('variant', 'stepper')))

- Defined in layouts/MaterialCategorizationStepperLayout.tsx:43

### Const materialCategorizationTester

materialCategorizationTester: RankedTester = rankWith(1, isSingleLevelCategorization)

- Defined in layouts/MaterialCategorizationLayout.tsx:51

### Const materialCells

materialCells: JsonFormsCellRendererRegistryEntry[] = [{ tester: materialBooleanCellTester, cell: MaterialBooleanCell },{ tester: materialDateCellTester, cell: MaterialDateCell },{ tester: materialEnumCellTester, cell: MaterialEnumCell },{ tester: materialIntegerCellTester, cell: MaterialIntegerCell },{ tester: materialNumberCellTester, cell: MaterialNumberCell },{ tester: materialNumberFormatCellTester, cell: MaterialNumberFormatCell },{ tester: materialTextCellTester, cell: MaterialTextCell },{ tester: materialTimeCellTester, cell: MaterialTimeCell }]

- Defined in index.ts:163

### Const materialDateCellTester

materialDateCellTester: RankedTester = rankWith(2, isDateControl)

- Defined in cells/MaterialDateCell.tsx:52

### Const materialDateControlTester

materialDateControlTester: RankedTester = rankWith(4, isDateControl)

- Defined in controls/MaterialDateControl.tsx:141

### Const materialDateTimeControlTester

materialDateTimeControlTester: RankedTester = rankWith(2, isDateTimeControl)

- Defined in controls/MaterialDateTimeControl.tsx:106

### Const materialEnumCellTester

materialEnumCellTester: RankedTester = rankWith(2, isEnumControl)

- Defined in cells/MaterialEnumCell.tsx:44

Default tester for enum controls.

type

  {RankedTester}

### Const materialEnumControlTester

materialEnumControlTester: RankedTester = rankWith(2,isEnumControl)

- Defined in controls/MaterialEnumControl.tsx:44

### Const materialGroupTester

materialGroupTester: RankedTester = withIncreasedRank(1,groupTester)

- Defined in layouts/MaterialGroupLayout.tsx:79

### Const materialHorizontalLayoutTester

materialHorizontalLayoutTester: RankedTester = rankWith(2,uiTypeIs('HorizontalLayout'))

- Defined in layouts/MaterialHorizontalLayout.tsx:43

Default tester for a horizontal layout.

type

  {RankedTester}

### Const materialIntegerCellTester

materialIntegerCellTester: RankedTester = rankWith(2,isIntegerControl)

- Defined in cells/MaterialIntegerCell.tsx:39

### Const materialIntegerControlTester

materialIntegerControlTester: RankedTester = rankWith(2,isIntegerControl)

- Defined in controls/MaterialIntegerControl.tsx:65

### Const materialLabelRendererTester

materialLabelRendererTester: RankedTester = rankWith(1, uiTypeIs('Label'))

- Defined in additional/MaterialLabelRenderer.tsx:43

Default tester for a label.

type

  {RankedTester}

### Const materialListWithDetailTester

materialListWithDetailTester: RankedTester = rankWith(4,and(uiTypeIs('ListWithDetail'), isObjectArray))

- Defined in additional/MaterialListWithDetailRenderer.tsx:119

### Const materialNativeControlTester

materialNativeControlTester: RankedTester = rankWith(2,or(isDateControl, isTimeControl))

- Defined in controls/MaterialNativeControl.tsx:85

### Const materialNumberCellTester

materialNumberCellTester: RankedTester = rankWith(2,isNumberControl)

- Defined in cells/MaterialNumberCell.tsx:43

Default tester for number controls.

type

  {RankedTester}

### Const materialNumberControlTester

materialNumberControlTester: RankedTester = rankWith(2,isNumberControl)

- Defined in controls/MaterialNumberControl.tsx:40

### Const materialNumberFormatCellTester

materialNumberFormatCellTester: RankedTester = rankWith(4,isNumberFormatControl)

- Defined in cells/MaterialNumberFormatCell.tsx:44

Default tester for text-based/string controls.

type

  {RankedTester}

### Const materialObjectControlTester

materialObjectControlTester: RankedTester = rankWith(2,isObjectControl)

- Defined in complex/MaterialObjectRenderer.tsx:79

### Const materialOneOfControlTester

materialOneOfControlTester: RankedTester = rankWith(3, isOneOfControl)

- Defined in complex/MaterialOneOfRenderer.tsx:151

### Const materialRadioGroupControlTester

materialRadioGroupControlTester: RankedTester = rankWith(2, optionIs('format', 'radio'))

- Defined in controls/MaterialRadioGroupControl.tsx:106

### Const materialRenderers

materialRenderers: JsonFormsRendererRegistryEntry[] = [// controls{tester: materialArrayControlTester,renderer: MaterialArrayControlRenderer},{ tester: materialBooleanControlTester, renderer: MaterialBooleanControl },{ tester: materialNativeControlTester, renderer: MaterialNativeControl },{ tester: materialEnumControlTester, renderer: MaterialEnumControl },{ tester: materialIntegerControlTester, renderer: MaterialIntegerControl },{ tester: materialNumberControlTester, renderer: MaterialNumberControl },{ tester: materialTextControlTester, renderer: MaterialTextControl },{ tester: materialDateTimeControlTester, renderer: MaterialDateTimeControl },{ tester: materialDateControlTester, renderer: MaterialDateControl },{ tester: materialSliderControlTester, renderer: MaterialSliderControl },{ tester: materialObjectControlTester, renderer: MaterialObjectRenderer },{ tester: materialAllOfControlTester, renderer: MaterialAllOfRenderer },{ tester: materialAnyOfControlTester, renderer: MaterialAnyOfRenderer },{ tester: materialOneOfControlTester, renderer: MaterialOneOfRenderer },{tester: materialRadioGroupControlTester,renderer: MaterialRadioGroupControl},// layouts{ tester: materialGroupTester, renderer: MaterialGroupLayout },{tester: materialHorizontalLayoutTester,renderer: MaterialHorizontalLayout},{ tester: materialVerticalLayoutTester, renderer: MaterialVerticalLayout },{tester: materialCategorizationTester,renderer: MaterialCategorizationLayout},{tester: materialCategorizationStepperTester,renderer: MaterialCategorizationStepperLayout},{ tester: materialArrayLayoutTester, renderer: MaterialArrayLayout },// additional{ tester: materialLabelRendererTester, renderer: MaterialLabelRenderer },{tester: materialListWithDetailTester,renderer: MaterialListWithDetailRenderer},{tester: materialAnyOfStringOrEnumControlTester,renderer: MaterialAnyOfStringOrEnumControl}]

- Defined in index.ts:112

### Const materialSliderControlTester

materialSliderControlTester: RankedTester = rankWith(4, isRangeControl)

- Defined in controls/MaterialSliderControl.tsx:118

### Const materialTextCellTester

materialTextCellTester: RankedTester = rankWith(1,isStringControl)

- Defined in cells/MaterialTextCell.tsx:44

Default tester for text-based/string controls.

type

  {RankedTester}

### Const materialTextControlTester

materialTextControlTester: RankedTester = rankWith(1,isStringControl)

- Defined in controls/MaterialTextControl.tsx:40

### Const materialTimeCellTester

materialTimeCellTester: RankedTester = rankWith(2, isTimeControl)

- Defined in cells/MaterialTimeCell.tsx:39

### Const materialVerticalLayoutTester

materialVerticalLayoutTester: RankedTester = rankWith(1,uiTypeIs('VerticalLayout'))

- Defined in layouts/MaterialVerticalLayout.tsx:43

Default tester for a vertical layout.

type

  {RankedTester}

### Const oneOf

oneOf: "oneOf" = "oneOf"

- Defined in complex/MaterialOneOfRenderer.tsx:60

### Const simpleAnyOf

simpleAnyOf: function = and(uiTypeIs('Control'),schemaMatches(schema => schema.hasOwnProperty('anyOf') && hasEnumAndText(schema.anyOf)))

- Defined in controls/MaterialAnyOfStringOrEnumControl.tsx:119

#### Type declaration

- - (uischema: UISchemaElement, schema: JsonSchema): boolean

  - #### Parameters

    - ##### uischema: UISchemaElement

    - ##### schema: JsonSchema

    #### Returns boolean

## Functions

### Const EmptyTable

- EmptyTable(__namedParameters: object): Element

- - Defined in complex/MaterialTableControl.tsx:124

  #### Parameters

  - ##### __namedParameters: object

    - ##### numColumns: number

  #### Returns Element

### Const ExpandPanelRenderer

- ExpandPanelRenderer(props: ExpandPanelProps): Element

- - Defined in layouts/ExpandPanelRenderer.tsx:72

  #### Parameters

  - ##### props: ExpandPanelProps

  #### Returns Element

### Const ListWithDetailMasterItem

- ListWithDetailMasterItem(__namedParameters: object): Element

- - Defined in additional/ListWithDetailMasterItem.tsx:38

  #### Parameters

  - ##### __namedParameters: object

    - ##### childLabel: string

    - ##### handleSelect: handleSelect

    - ##### index: number

    - ##### path: string

    - ##### removeItem: removeItem

    - ##### selected: boolean

  #### Returns Element

### Const MaterialAllOfRenderer

- MaterialAllOfRenderer(__namedParameters: object): Element

- - Defined in complex/MaterialAllOfRenderer.tsx:40

  #### Parameters

  - ##### __namedParameters: object

    - ##### path: string

    - ##### renderers: JsonFormsRendererRegistryEntry[]

    - ##### rootSchema: JsonSchema4 | JsonSchema7

    - ##### schema: JsonSchema4 | JsonSchema7

    - ##### uischema: ControlElement

    - ##### uischemas: object[]

    - ##### visible: boolean

  #### Returns Element

### Const MaterialAnyOfRenderer

- MaterialAnyOfRenderer(__namedParameters: object): Element

- - Defined in complex/MaterialAnyOfRenderer.tsx:40

  #### Parameters

  - ##### __namedParameters: object

    - ##### indexOfFittingSchema: number

    - ##### path: string

    - ##### renderers: JsonFormsRendererRegistryEntry[]

    - ##### rootSchema: JsonSchema4 | JsonSchema7

    - ##### schema: JsonSchema4 | JsonSchema7

    - ##### uischema: ControlElement

    - ##### uischemas: object[]

    - ##### visible: boolean

  #### Returns Element

### Const MaterialArrayControlRenderer

- MaterialArrayControlRenderer(props: ArrayLayoutProps): Element

- - Defined in complex/MaterialArrayControlRenderer.tsx:32

  #### Parameters

  - ##### props: ArrayLayoutProps

  #### Returns Element

### Const MaterialArrayLayoutRenderer

- MaterialArrayLayoutRenderer(__namedParameters: object): Element

- - Defined in layouts/MaterialArrayLayoutRenderer.tsx:37

  #### Parameters

  - ##### __namedParameters: object

    - ##### addItem: addItem

    - ##### data: number

    - ##### enabled: boolean

    - ##### errors: string

    - ##### id: string

    - ##### label: string | Labels

    - ##### path: string

    - ##### renderers: JsonFormsRendererRegistryEntry[]

    - ##### rootSchema: JsonSchema4 | JsonSchema7

    - ##### schema: JsonSchema4 | JsonSchema7

    - ##### uischema: ControlElement

    - ##### visible: boolean

  #### Returns Element

### Const MaterialBooleanCell

- MaterialBooleanCell(props: CellProps & WithClassname): Element

- - Defined in cells/MaterialBooleanCell.tsx:36

  #### Parameters

  - ##### props: CellProps & WithClassname

  #### Returns Element

### Const MaterialBooleanControl

- MaterialBooleanControl(__namedParameters: object): Element

- - Defined in controls/MaterialBooleanControl.tsx:37

  #### Parameters

  - ##### __namedParameters: object

    - ##### data: any

    - ##### enabled: boolean

    - ##### errors: string

    - ##### handleChange: handleChange

    - ##### id: string

    - ##### label: string | Labels

    - ##### path: string

    - ##### rootSchema: JsonSchema4 | JsonSchema7

    - ##### schema: JsonSchema4 | JsonSchema7

    - ##### uischema: ControlElement

    - ##### visible: boolean

  #### Returns Element

### Const MaterialCategorizationStepperLayoutRenderer

- MaterialCategorizationStepperLayoutRenderer(__namedParameters: object): Element

- - Defined in layouts/MaterialCategorizationStepperLayout.tsx:60

  #### Parameters

  - ##### __namedParameters: object

    - ##### path: string

    - ##### renderers: any[]

    - ##### schema: JsonSchema4 | JsonSchema7

    - ##### uischema: UISchemaElement

    - ##### visible: boolean

  #### Returns Element

### Const MaterialDateCell

- MaterialDateCell(props: CellProps & WithClassname): Element

- - Defined in cells/MaterialDateCell.tsx:36

  #### Parameters

  - ##### props: CellProps & WithClassname

  #### Returns Element

### Const MaterialEnumCell

- MaterialEnumCell(props: EnumCellProps & WithClassname): Element

- - Defined in cells/MaterialEnumCell.tsx:36

  #### Parameters

  - ##### props: EnumCellProps & WithClassname

  #### Returns Element

### Const MaterialEnumControl

- MaterialEnumControl(props: ControlProps & OwnPropsOfEnum): Element

- - Defined in controls/MaterialEnumControl.tsx:37

  #### Parameters

  - ##### props: ControlProps & OwnPropsOfEnum

  #### Returns Element

### Const MaterialHorizontalLayoutRenderer

- MaterialHorizontalLayoutRenderer(__namedParameters: object): Element

- - Defined in layouts/MaterialHorizontalLayout.tsx:48

  #### Parameters

  - ##### __namedParameters: object

    - ##### path: string

    - ##### renderers: any[]

    - ##### schema: JsonSchema4 | JsonSchema7

    - ##### uischema: UISchemaElement

    - ##### visible: boolean

  #### Returns Element

### Const MaterialIntegerCell

- MaterialIntegerCell(props: CellProps & WithClassname): Element

- - Defined in cells/MaterialIntegerCell.tsx:36

  #### Parameters

  - ##### props: CellProps & WithClassname

  #### Returns Element

### Const MaterialLabelRenderer

- MaterialLabelRenderer(__namedParameters: object): Element

- - Defined in additional/MaterialLabelRenderer.tsx:48

  Default renderer for a label.

  #### Parameters

  - ##### __namedParameters: object

    - ##### uischema: UISchemaElement

    - ##### visible: boolean

  #### Returns Element

### Const MaterialLayoutRenderer

- MaterialLayoutRenderer(__namedParameters: object): Element

- - Defined in util/layout.tsx:59

  #### Parameters

  - ##### __namedParameters: object

    - ##### direction: "column" | "row"

    - ##### elements: UISchemaElement[]

    - ##### path: string

    - ##### renderers: JsonFormsRendererRegistryEntry[]

    - ##### schema: JsonSchema4 | JsonSchema7

    - ##### visible: boolean

  #### Returns Element

### Const MaterialListWithDetailRenderer

- MaterialListWithDetailRenderer(__namedParameters: object): Element

- - Defined in additional/MaterialListWithDetailRenderer.tsx:51

  #### Parameters

  - ##### __namedParameters: object

    - ##### addItem: addItem

    - ##### data: number

    - ##### errors: string

    - ##### label: string | Labels

    - ##### path: string

    - ##### removeItems: removeItems

    - ##### renderers: JsonFormsRendererRegistryEntry[]

    - ##### required: boolean

    - ##### schema: JsonSchema4 | JsonSchema7

    - ##### uischema: ControlElement

    - ##### uischemas: object[]

    - ##### visible: boolean

  #### Returns Element

### Const MaterialNumberCell

- MaterialNumberCell(props: CellProps & WithClassname): Element

- - Defined in cells/MaterialNumberCell.tsx:36

  #### Parameters

  - ##### props: CellProps & WithClassname

  #### Returns Element

### Const MaterialNumberControl

- MaterialNumberControl(props: ControlProps): Element

- - Defined in controls/MaterialNumberControl.tsx:36

  #### Parameters

  - ##### props: ControlProps

  #### Returns Element

### Const MaterialNumberFormatCell

- MaterialNumberFormatCell(props: CellProps & WithClassname & Formatted<number>): Element

- - Defined in cells/MaterialNumberFormatCell.tsx:37

  #### Parameters

  - ##### props: CellProps & WithClassname & Formatted<number>

  #### Returns Element

### Const MaterialObjectRenderer

- MaterialObjectRenderer(__namedParameters: object): Element

- - Defined in complex/MaterialObjectRenderer.tsx:40

  #### Parameters

  - ##### __namedParameters: object

    - ##### label: string | Labels

    - ##### path: string

    - ##### renderers: JsonFormsRendererRegistryEntry[]

    - ##### rootSchema: JsonSchema4 | JsonSchema7

    - ##### schema: JsonSchema4 | JsonSchema7

    - ##### uischema: ControlElement

    - ##### uischemas: object[]

    - ##### visible: boolean

  #### Returns Element

### Const MaterialOneOfRenderer

- MaterialOneOfRenderer(__namedParameters: object): Element

- - Defined in complex/MaterialOneOfRenderer.tsx:61

  #### Parameters

  - ##### __namedParameters: object

    - ##### data: any

    - ##### handleChange: handleChange

    - ##### id: string

    - ##### indexOfFittingSchema: number

    - ##### path: string

    - ##### renderers: JsonFormsRendererRegistryEntry[]

    - ##### rootSchema: JsonSchema4 | JsonSchema7

    - ##### schema: JsonSchema4 | JsonSchema7

    - ##### uischema: ControlElement

    - ##### uischemas: object[]

    - ##### visible: boolean

  #### Returns Element

### Const MaterialTextCell

- MaterialTextCell(props: CellProps & WithClassname): Element

- - Defined in cells/MaterialTextCell.tsx:36

  #### Parameters

  - ##### props: CellProps & WithClassname

  #### Returns Element

### Const MaterialTextControl

- MaterialTextControl(props: ControlProps): Element

- - Defined in controls/MaterialTextControl.tsx:36

  #### Parameters

  - ##### props: ControlProps

  #### Returns Element

### Const MaterialTimeCell

- MaterialTimeCell(props: CellProps & WithClassname): Element

- - Defined in cells/MaterialTimeCell.tsx:36

  #### Parameters

  - ##### props: CellProps & WithClassname

  #### Returns Element

### Const MaterialVerticalLayoutRenderer

- MaterialVerticalLayoutRenderer(__namedParameters: object): Element

- - Defined in layouts/MaterialVerticalLayout.tsx:48

  #### Parameters

  - ##### __namedParameters: object

    - ##### path: string

    - ##### renderers: any[]

    - ##### schema: JsonSchema4 | JsonSchema7

    - ##### uischema: UISchemaElement

    - ##### visible: boolean

  #### Returns Element

### Const MaterializedGroupLayoutRenderer

- MaterializedGroupLayoutRenderer(__namedParameters: object): Element

- - Defined in layouts/MaterialGroupLayout.tsx:61

  #### Parameters

  - ##### __namedParameters: object

    - ##### direction: "column" | "row"

    - ##### path: string

    - ##### renderers: any[]

    - ##### schema: JsonSchema4 | JsonSchema7

    - ##### uischema: UISchemaElement

    - ##### visible: boolean

  #### Returns Element

### Const MuiAutocompleteInputText

- MuiAutocompleteInputText(props: EnumCellProps & WithClassname): Element

- - Defined in controls/MaterialAnyOfStringOrEnumControl.tsx:51

  #### Parameters

  - ##### props: EnumCellProps & WithClassname

  #### Returns Element

### Const MuiCheckbox

- MuiCheckbox(props: CellProps & WithClassname): Element

- - Defined in mui-controls/MuiCheckbox.tsx:32

  #### Parameters

  - ##### props: CellProps & WithClassname

  #### Returns Element

### Const MuiInputInteger

- MuiInputInteger(props: CellProps & WithClassname): Element

- - Defined in mui-controls/MuiInputInteger.tsx:29

  #### Parameters

  - ##### props: CellProps & WithClassname

  #### Returns Element

### Const MuiInputNumber

- MuiInputNumber(props: CellProps & WithClassname): Element

- - Defined in mui-controls/MuiInputNumber.tsx:29

  #### Parameters

  - ##### props: CellProps & WithClassname

  #### Returns Element

### Const MuiInputNumberFormat

- MuiInputNumberFormat(props: CellProps & WithClassname & Formatted<number>): Element

- - Defined in mui-controls/MuiInputNumberFormat.tsx:33

  #### Parameters

  - ##### props: CellProps & WithClassname & Formatted<number>

  #### Returns Element

### Const MuiInputTime

- MuiInputTime(props: CellProps & WithClassname): Element

- - Defined in mui-controls/MuiInputTime.tsx:32

  #### Parameters

  - ##### props: CellProps & WithClassname

  #### Returns Element

### Const MuiSelect

- MuiSelect(props: EnumCellProps & WithClassname): Element

- - Defined in mui-controls/MuiSelect.tsx:34

  #### Parameters

  - ##### props: EnumCellProps & WithClassname

  #### Returns Element

### Const NoBorderTableCell

- NoBorderTableCell(__namedParameters: object): Element

- - Defined in complex/NoBorderTableCell.tsx:35

  #### Parameters

  - ##### __namedParameters: object

    - ##### children: any

    - ##### classes: any

    - ##### otherProps: any

  #### Returns Element

### Const NonEmptyCell

- NonEmptyCell(ownProps: OwnPropsOfNonEmptyCell): Element

- - Defined in complex/MaterialTableControl.tsx:179

  #### Parameters

  - ##### ownProps: OwnPropsOfNonEmptyCell

  #### Returns Element

### Const TableRows

- TableRows(__namedParameters: object): Element

- - Defined in complex/MaterialTableControl.tsx:286

  #### Parameters

  - ##### __namedParameters: object

    - ##### data: number

    - ##### moveDown: moveDown

    - ##### moveUp: moveUp

    - ##### openDeleteDialog: openDeleteDialog

    - ##### path: string

    - ##### schema: JsonSchema4 | JsonSchema7

    - ##### uischema: ControlElement

  #### Returns Element

### Const ValidationIcon

- ValidationIcon(__namedParameters: object): Element

- - Defined in complex/ValidationIcon.tsx:51

  #### Parameters

  - ##### __namedParameters: object

    - ##### classes: object

    - ##### errorMessages: string

    - ##### id: string

  #### Returns Element

### Const areEqual

- areEqual(prevProps: ExpandPanelProps, nextProps: ExpandPanelProps): boolean

- - Defined in layouts/ExpandPanelRenderer.tsx:256

  #### Parameters

  - ##### prevProps: ExpandPanelProps

  - ##### nextProps: ExpandPanelProps

  #### Returns boolean

### Const controlWithoutLabel

- controlWithoutLabel(scope: string): ControlElement

- - Defined in complex/MaterialTableControl.tsx:173

  #### Parameters

  - ##### scope: string

  #### Returns ControlElement

### Const ctxDispatchToExpandPanelProps

- ctxDispatchToExpandPanelProps(dispatch: function): object

- - Defined in layouts/ExpandPanelRenderer.tsx:187

  Maps state to dispatch properties of an expand pandel control.

  #### Parameters

  - ##### dispatch: function

    the store's dispatch method

    - - (value: A): void

      - #### Parameters

        - ##### value: A

        #### Returns void

  #### Returns object

  dispatch props of an expand panel control

  - ##### moveDown: function

    - moveDown(path: string, toMove: number): (Anonymous function)
    - - Defined in layouts/ExpandPanelRenderer.tsx:209

      #### Parameters

      - ##### path: string

      - ##### toMove: number

      #### Returns (Anonymous function)

  - ##### moveUp: function

    - moveUp(path: string, toMove: number): (Anonymous function)
    - - Defined in layouts/ExpandPanelRenderer.tsx:200

      #### Parameters

      - ##### path: string

      - ##### toMove: number

      #### Returns (Anonymous function)

  - ##### removeItems: function

    - removeItems(path: string, toDelete: number[]): (Anonymous function)
    - - Defined in layouts/ExpandPanelRenderer.tsx:188

      #### Parameters

      - ##### path: string

      - ##### toDelete: number[]

      #### Returns (Anonymous function)

### Const ctxToNonEmptyCellProps

- ctxToNonEmptyCellProps(ctx: JsonFormsStateContext, ownProps: OwnPropsOfNonEmptyCell): NonEmptyCellProps

- - Defined in complex/MaterialTableControl.tsx:150

  #### Parameters

  - ##### ctx: JsonFormsStateContext

  - ##### ownProps: OwnPropsOfNonEmptyCell

  #### Returns NonEmptyCellProps

### Const findEnumSchema

- findEnumSchema(schemas: JsonSchema[]): JsonSchema4 | JsonSchema7

- - Defined in controls/MaterialAnyOfStringOrEnumControl.tsx:44

  #### Parameters

  - ##### schemas: JsonSchema[]

  #### Returns JsonSchema4 | JsonSchema7

### Const findTextSchema

- findTextSchema(schemas: JsonSchema[]): JsonSchema4 | JsonSchema7

- - Defined in controls/MaterialAnyOfStringOrEnumControl.tsx:48

  #### Parameters

  - ##### schemas: JsonSchema[]

  #### Returns JsonSchema4 | JsonSchema7

### Const generateCells

- generateCells(Cell: React.ComponentType<OwnPropsOfNonEmptyCell | TableHeaderCellProps>, schema: JsonSchema, rowPath: string): Element | Element[]

- - Defined in complex/MaterialTableControl.tsx:79

  #### Parameters

  - ##### Cell: React.ComponentType<OwnPropsOfNonEmptyCell | TableHeaderCellProps>

  - ##### schema: JsonSchema

  - ##### rowPath: string

  #### Returns Element | Element[]

### Const getValidColumnProps

- getValidColumnProps(scopedSchema: JsonSchema): string[]

- - Defined in complex/MaterialTableControl.tsx:110

  #### Parameters

  - ##### scopedSchema: JsonSchema

  #### Returns string[]

### Const hasEnumAndText

- hasEnumAndText(schemas: JsonSchema[]): boolean

- - Defined in controls/MaterialAnyOfStringOrEnumControl.tsx:109

  #### Parameters

  - ##### schemas: JsonSchema[]

  #### Returns boolean

### Const isLayout

- isLayout(uischema: UISchemaElement): boolean

- - Defined in complex/CombinatorProperties.tsx:36

  #### Parameters

  - ##### uischema: UISchemaElement

  #### Returns boolean

### Const renderLayoutElements

- renderLayoutElements(elements: UISchemaElement[], schema: JsonSchema, path: string, renderers?: JsonFormsRendererRegistryEntry[]): Element[]

- - Defined in util/layout.tsx:36

  #### Parameters

  - ##### elements: UISchemaElement[]

  - ##### schema: JsonSchema

  - ##### path: string

  - ##### Optional renderers: JsonFormsRendererRegistryEntry[]

  #### Returns Element[]

### Const withContextToExpandPanelProps

- withContextToExpandPanelProps(Component: ComponentType<ExpandPanelProps>): ComponentType<OwnPropsOfExpandPanel>

- - Defined in layouts/ExpandPanelRenderer.tsx:226

  Map state to control props.

  #### Parameters

  - ##### Component: ComponentType<ExpandPanelProps>

  #### Returns ComponentType<OwnPropsOfExpandPanel>

  state props for a control

### Const withJsonFormsExpandPanelProps

- withJsonFormsExpandPanelProps(Component: ComponentType<ExpandPanelProps>): ComponentType<OwnPropsOfExpandPanel>

- - Defined in layouts/ExpandPanelRenderer.tsx:265

  #### Parameters

  - ##### Component: ComponentType<ExpandPanelProps>

  #### Returns ComponentType<OwnPropsOfExpandPanel>

## Object literals

### Const Unwrapped

Unwrapped: object

- Defined in controls/index.ts:71

### MaterialAnyOfStringOrEnumControl

MaterialAnyOfStringOrEnumControl: MaterialAnyOfStringOrEnumControl = MaterialAnyOfStringOrEnumControlUnwrapped

- Defined in controls/index.ts:82

### MaterialBooleanControl

MaterialBooleanControl: MaterialBooleanControl = MaterialBooleanControlUnwrapped

- Defined in controls/index.ts:72

### MaterialDateControl

MaterialDateControl: MaterialDateControl = MaterialDateControlUnwrapped

- Defined in controls/index.ts:75

### MaterialDateTimeControl

MaterialDateTimeControl: MaterialDateTimeControl = MaterialDateTimeControlUnwrapped

- Defined in controls/index.ts:76

### MaterialEnumControl

MaterialEnumControl: MaterialEnumControl = MaterialEnumControlUnwrapped

- Defined in controls/index.ts:73

### MaterialIntegerControl

MaterialIntegerControl: MaterialIntegerControl = MaterialIntegerControlUnwrapped

- Defined in controls/index.ts:79

### MaterialNativeControl

MaterialNativeControl: MaterialNativeControl = MaterialNativeControlUnwrapped

- Defined in controls/index.ts:74

### MaterialNumberControl

MaterialNumberControl: MaterialNumberControl = MaterialNumberControlUnwrapped

- Defined in controls/index.ts:80

### MaterialRadioGroupControl

MaterialRadioGroupControl: MaterialRadioGroupControl = MaterialRadioGroupControlUnwrapped

- Defined in controls/index.ts:78

### MaterialSliderControl

MaterialSliderControl: MaterialSliderControl = MaterialSliderControlUnwrapped

- Defined in controls/index.ts:77

### MaterialTextControl

MaterialTextControl: MaterialTextControl = MaterialTextControlUnwrapped

- Defined in controls/index.ts:81

### Const iconStyle

iconStyle: object

- Defined in layouts/ExpandPanelRenderer.tsx:36

### float

float: string = "right"

- Defined in layouts/ExpandPanelRenderer.tsx:36

### Const paperStyle

paperStyle: object

- Defined in layouts/MaterialArrayLayout.tsx:39

### padding

padding: number = 10

- Defined in layouts/MaterialArrayLayout.tsx:39

### Const style

style: object

- Defined in layouts/MaterialGroupLayout.tsx:43

### marginBottom

marginBottom: string = "10px"

- Defined in layouts/MaterialGroupLayout.tsx:43

### Const styles

styles: object = createStyles(({ palette }: Theme) => ({badge: {color: palette.error.main}}))

- Defined in complex/ValidationIcon.tsx:40
- Defined in complex/NoBorderTableCell.tsx:29
- Defined in complex/MaterialTableControl.tsx:62

### fixedCell

fixedCell: object

- Defined in complex/MaterialTableControl.tsx:63

### height

height: string = "50px"

- Defined in complex/MaterialTableControl.tsx:65

### paddingLeft

paddingLeft: number = 0

- Defined in complex/MaterialTableControl.tsx:66

### paddingRight

paddingRight: number = 0

- Defined in complex/MaterialTableControl.tsx:67

### textAlign

textAlign: string = "center"

- Defined in complex/MaterialTableControl.tsx:68

### width

width: string = "150px"

- Defined in complex/MaterialTableControl.tsx:64

### fixedCellSmall

fixedCellSmall: object

- Defined in complex/MaterialTableControl.tsx:70

### height

height: string = "50px"

- Defined in complex/MaterialTableControl.tsx:72

### paddingLeft

paddingLeft: number = 0

- Defined in complex/MaterialTableControl.tsx:73

### paddingRight

paddingRight: number = 0

- Defined in complex/MaterialTableControl.tsx:74

### textAlign

textAlign: string = "center"

- Defined in complex/MaterialTableControl.tsx:75

### width

width: string = "50px"

- Defined in complex/MaterialTableControl.tsx:71

### noBottomBorder

noBottomBorder: object

- Defined in complex/NoBorderTableCell.tsx:30

### borderBottom

borderBottom: string = "none"

- Defined in complex/NoBorderTableCell.tsx:31

Generated using TypeDoc